# Generated by Django 4.1.6 on 2023-02-11 23:24

from django.db import migrations, models
import django.utils.timezone
import medux.common.models


class Migration(migrations.Migration):
    dependencies = [
        ("wiki", "0002_edit_created_edit_modified"),
    ]

    operations = [
        migrations.AlterModelOptions(
            name="edit",
            options={"ordering": ["-modified"]},
        ),
        migrations.RemoveField(
            model_name="article",
            name="created_on",
        ),
        migrations.RemoveField(
            model_name="edit",
            name="edited_on",
        ),
        migrations.AddField(
            model_name="article",
            name="created",
            field=models.DateTimeField(
                default=django.utils.timezone.now, editable=False
            ),
        ),
        migrations.AddField(
            model_name="article",
            name="modified",
            field=medux.common.models.AutoDateTimeField(
                default=django.utils.timezone.now
            ),
        ),
    ]
